<?php
/*
 * Plugin Name:       Exit Popup Advanced
 * Plugin URI:        /
 * Description:       Welcome to the VF Exit Popup your Fast & Secure Exit Popup for WordPress.
 * Version:           1.0
 * Requires at least: 5.6
 * Author:            Vikas Ratudi
 * Author URI:        https://www.instagram.com/ratudi_vikas/?r=nametag
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       vfexitpopup
 * Tags:              exit popup, popup, exit popup, subscription popup, Exit Overlay, exit overlay popup, exit popups, list building, mailchimp, mailchimp exit popup, mailchimp popup, mailchimp subscription form, mailchimp subscription popup, newsletter, popup, modal, exit modal, popup before user leaves, popup editor, jquery popupjquery modal, popup on page load, popup on scroll, Popup plugin, popup with image, signup form, subscription form, brontobytes, vfexitpopup, vform, vikasratudi
*/

defined('ABSPATH') || die("You Can't Access this File Directly");

define('VFEXITPOPUP_PLUGIN_PATH',plugin_dir_path(__FILE__));
define('VFEXITPOPUP_PLUGIN_URL',plugin_dir_url(__FILE__));
define('VFEXITPOPUP_PLUGIN_FILE', __FILE__);
include VFEXITPOPUP_PLUGIN_PATH."inc/db.php";


add_action('wp_enqueue_scripts','vfexitpopup_wp_scripts');



	function vfexitpopup_wp_scripts(){
		wp_enqueue_script('jquery');
		wp_enqueue_style('vfexitpopup_dev_style', VFEXITPOPUP_PLUGIN_URL."assets/css/vfep_style.css");
		wp_enqueue_style('vfexitpopup_dev_style2', VFEXITPOPUP_PLUGIN_URL."assets/css/fontawesome.css");
		wp_enqueue_script('vfexitpopup_dev_script', VFEXITPOPUP_PLUGIN_URL."assets/js/vfep_main.js",
			array(),'1.0.0',true);
		wp_localize_script('vfexitpopup_dev_script','ajax_object',admin_url("admin-ajax.php"));
	}

add_action('admin_enqueue_scripts','vfexitpopup_admin_enqueue_scripts');

	function vfexitpopup_admin_enqueue_scripts(){
			wp_enqueue_script('jquery');

		wp_enqueue_style('vfexitpopup_dev_style', VFEXITPOPUP_PLUGIN_URL."assets/css/style.css");
		wp_enqueue_style('vfexitpopup_dev_style2', VFEXITPOPUP_PLUGIN_URL."assets/css/fontawesome.css");
			wp_enqueue_script('vfexitpopup_dev_script', VFEXITPOPUP_PLUGIN_URL."assets/js/custom.js",
				array(),'1.0.0',false);

			wp_localize_script('vfexitpopup_dev_script','ajax_object',admin_url("admin-ajax.php"));
	}

	//ADMIN MENU
	add_action('admin_menu','vfexitpopup_plugin_menu');
	function vfexitpopup_plugin_menu(){

		add_menu_page('vfexitpopup','Exit Popup','manage_options','vfexitpopup','vfexitpopup_options_func','dashicons-exit',$position=null);
		add_submenu_page('vfexitpopup','More','More','manage_options','vfexitpopup-more','vfexitpopup_comingsoon_func');

	}

	function vfexitpopup_options_func(){
			include VFEXITPOPUP_PLUGIN_PATH."inc/vfexitpopupstructure.php";
	}
	function vfexitpopup_comingsoon_func(){
		include VFEXITPOPUP_PLUGIN_PATH."inc/vfexitpopupcomingsoon.php";
	}

	// form save

	add_action('wp_ajax_myvfexitpopupsave','myvfexitpopupsave');

	function myvfexitpopupsave(){

		if(!isset($_REQUEST['vfm-nonce']) || !wp_verify_nonce($_REQUEST['vfm-nonce'],'myvfexitpopupsave') ){
			wp_send_json_error([
				'status'=>'0'
			]);
		}


		if($_REQUEST['param']=='save_vfpopup'){

			global $wpdb;
			$prefix = $wpdb->prefix;
			$table = $prefix.'vfep_data';
			$data = array(
			"title"=>sanitize_text_field($_REQUEST['title']),
				"mainhtml"=>sanitize_text_field( htmlentities($_REQUEST['mainhtml'])),
				"cookie"=>sanitize_text_field( $_REQUEST['cookies']),
				"targetpage"=>sanitize_text_field($_REQUEST['choosepage']),
				"theme"=>sanitize_text_field( $_REQUEST['popupwithcheck']),
				"popupsize"=>sanitize_text_field($_REQUEST['popup_settings_size']),
				"popupbackgroundcolor"=>sanitize_text_field($_REQUEST['bkcolor']),
				"animation"=>sanitize_text_field($_REQUEST['popup_settings_animation_type']),
				"animationspeed"=>sanitize_text_field($_REQUEST['popup_settings_animation_speed']),
				"disableoverlay"=>sanitize_text_field($_REQUEST['popup_settings_overlay_disabled']),
				"popupzindex"=>sanitize_text_field($_REQUEST['popup_settings_zindex']),
				"enabledisablepopup"=>sanitize_text_field($_REQUEST['checkpopupenable']),
				"redirectdisabledunable"=>sanitize_text_field($_REQUEST['popup_closeenable']),
				"closeurl"=>sanitize_text_field($_REQUEST['closeurl']),
				"bkimageurl"=>sanitize_text_field($_REQUEST['bkurl']),
				"install_date"=>date("l jS \of F Y")

			);
			// $wpdb->insert($table, $data);

			$where = array( 'id' => '1');
			$wpdb->update($table, $data,$where);

			echo json_encode(array("status"=>1,"message"=>"Data inserted successful"));
		}
		wp_die();

	}

	// form save


	// form data get

	add_action('wp_ajax_myvfexitpopupget','myvfexitpopupget');

	add_action('wp_ajax_nopriv_myvfexitpopupget','myvfexitpopupget');


	function myvfexitpopupget(){
		if($_REQUEST['param']=='save_vfpopup'){

			global $wpdb;

			$vfepdata = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}vfep_data WHERE id='1'", OBJECT );
			if(empty(!$vfepdata)){

			  $a1 = $vfepdata[0]->title;
				$b1 = $vfepdata[0]->mainhtml;
				$b1 = stripslashes($b1);
				$b1 = html_entity_decode($b1);
			  $c1 = $vfepdata[0]->cookie;
			  $d1 = $vfepdata[0]->targetpage;
			  $e1 = $vfepdata[0]->theme;
			  $f1 = $vfepdata[0]->popupsize;
			  $g1 = $vfepdata[0]->popupbackgroundcolor;
			  $h1 = $vfepdata[0]->animation;
			  $i1 = $vfepdata[0]->animationspeed;
			  $j1 = $vfepdata[0]->disableoverlay;
			  $k1 = $vfepdata[0]->popupzindex;
			  $l1 = $vfepdata[0]->enabledisablepopup;
			  $m1 = $vfepdata[0]->redirectdisabledunable;
			  $n1 = $vfepdata[0]->closeurl;
				$o1 = $vfepdata[0]->install_date;
			  $p1 = $vfepdata[0]->bkimageurl;

			}else{
			  $a1 = '';
			  $b1 = '';
			  $c1 = '';
			  $d1 = '';
			  $e1 = '';
			  $f1 = '';
			  $g1 = '';
			  $h1 = '';
			  $i1 = '';
			  $j1 = '';
			  $k1 = '';
			  $l1 = '';
			  $m1 = '';
			  $n1 = '';
				$o1 = '';
			  $p1 = '';
			}

			$alldata = ['title'=>$a1,'mainhtml'=>$b1,'cookie'=>$c1,'targetpage'=>$d1,'theme'=>$e1,'popupsize'=>$f1,'popupbackgroundcolor'=>$g1,'animation'=>$h1,'animationspeed'=>$i1,'disableoverlay'=>$j1,'popupzindex'=>$k1,'enabledisablepopup'=>$l1,'redirectdisabledunable'=>$m1,'closeurl'=>$n1,'install_date'=>$o1,'bkimageurl'=>$p1];

			echo json_encode(array("status"=>1,"message"=>"Data inserted successful","all"=>$alldata));
		}
		wp_die();

	}
